Bug 308773 - nepomukservicestub crashed
Summary: nepomukservicestub crashed
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-21 22:24 UTC by Jan Binder
Modified: 2012-11-27 22:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Binder 2012-10-21 22:24:16 UTC
Application: nepomukservicestub (0.1.0)
KDE Platform Version: 4.9.80 (Compiled from sources)
Qt Version: 4.8.2
Operating System: Linux 3.6.1-exp-2 x86_64
Distribution: Debian GNU/Linux unstable (sid)

-- Information about the crash:
- What I was doing when the application crashed:

Kontact was running with 3 IMAP accounts and receiving new mails and Akregator , Calendar and KAddressbook using several Akonadi resources.
I was using Firefox, which is not integrated with KDE (no pliugins for anything KDE-related).
No user-initiated file transfers were active when the service crashed.

-- Backtrace:
Application: Nepomuk-Dienst (nepomukservicestub), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f513f12d760 (LWP 13850))]

Thread 19 (Thread 0x7f5127a70700 (LWP 13904)):
#0  0x00007f513bab215b in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f513ba494b8 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#2  0x00007f513ba478a1 in free () from /lib/x86_64-linux-gnu/libc.so.6
#3  0x00007f513b115cfe in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f513b115e32 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f513e87a139 in __nptl_deallocate_tsd () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f513e87ab5e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#7  0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f51268f3700 (LWP 14063)):
#0  0x00007f513bab215b in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f513ba494b8 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#2  0x00007f513ba478a1 in free () from /lib/x86_64-linux-gnu/libc.so.6
#3  0x00007f513ec3ab13 in socketNotifierSourceCheck (source=0xe04430) at kernel/qeventdispatcher_glib.cpp:92
#4  0x00007f513b0fc19b in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f513b0fc622 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f513b0fc7a4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007f513ec3b296 in QEventDispatcherGlib::processEvents (this=0xe02e50, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#8  0x00007f513ec0b8af in QEventLoop::processEvents (this=this@entry=0x7f51268f2e10, flags=...) at kernel/qeventloop.cpp:149
#9  0x00007f513ec0bb38 in QEventLoop::exec (this=0x7f51268f2e10, flags=...) at kernel/qeventloop.cpp:204
#10 0x00007f513eb0ed70 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#11 0x00007f513ebec1bf in QInotifyFileSystemWatcherEngine::run (this=0xdc8490) at io/qfilesystemwatcher_inotify.cpp:248
#12 0x00007f513eb11d0b in QThreadPrivate::start (arg=0xdc8490) at thread/qthread_unix.cpp:307
#13 0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#14 0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#15 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f51260f2700 (LWP 14065)):
#0  0x00007f513bab215b in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f513ba494b8 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#2  0x00007f513ba478a1 in free () from /lib/x86_64-linux-gnu/libc.so.6
#3  0x00007f513ec3ab13 in socketNotifierSourceCheck (source=0xdaf2e0) at kernel/qeventdispatcher_glib.cpp:92
#4  0x00007f513b0fc19b in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f513b0fc622 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f513b0fc7a4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007f513ec3b296 in QEventDispatcherGlib::processEvents (this=0xc38d00, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#8  0x00007f513ec0b8af in QEventLoop::processEvents (this=this@entry=0x7f51260f1e00, flags=...) at kernel/qeventloop.cpp:149
#9  0x00007f513ec0bb38 in QEventLoop::exec (this=0x7f51260f1e00, flags=...) at kernel/qeventloop.cpp:204
#10 0x00007f513eb0ed70 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#11 0x00007f512c0fec3c in Soprano::Server::ServerConnection::run (this=0xd79d20) at /media/wares/kdesrc/kdesupport/soprano/server/serverconnection.cpp:151
#12 0x00007f513eb11d0b in QThreadPrivate::start (arg=0xd79d20) at thread/qthread_unix.cpp:307
#13 0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#14 0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#15 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f51250f0700 (LWP 14069)):
#0  0x00007f513ba9aac3 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f513b0fc684 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f513b0fc7a4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f513ec3b296 in QEventDispatcherGlib::processEvents (this=0xef8840, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f513ec0b8af in QEventLoop::processEvents (this=this@entry=0x7f51250efe00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f513ec0bb38 in QEventLoop::exec (this=0x7f51250efe00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f513eb0ed70 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f512c0fec3c in Soprano::Server::ServerConnection::run (this=0x1046210) at /media/wares/kdesrc/kdesupport/soprano/server/serverconnection.cpp:151
#8  0x00007f513eb11d0b in QThreadPrivate::start (arg=0x1046210) at thread/qthread_unix.cpp:307
#9  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#10 0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f51248ef700 (LWP 14121)):
#0  0x00007f513e87f2d4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f513eb1220b in wait (time=18446744073709551615, this=0x7f51200ea410) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x7f51200e9cf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f513eb057af in QThreadPoolThread::run (this=0x1051e10) at concurrent/qthreadpool.cpp:141
#4  0x00007f513eb11d0b in QThreadPrivate::start (arg=0x1051e10) at thread/qthread_unix.cpp:307
#5  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f511ffff700 (LWP 14238)):
#0  0x00007f513b0fb851 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f513b0fc564 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f513b0fc7a4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f513ec3b296 in QEventDispatcherGlib::processEvents (this=0x106f9a0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f513ec0b8af in QEventLoop::processEvents (this=this@entry=0x7f511fffee00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f513ec0bb38 in QEventLoop::exec (this=0x7f511fffee00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f513eb0ed70 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f512c0fec3c in Soprano::Server::ServerConnection::run (this=0x7f51201ab300) at /media/wares/kdesrc/kdesupport/soprano/server/serverconnection.cpp:151
#8  0x00007f513eb11d0b in QThreadPrivate::start (arg=0x7f51201ab300) at thread/qthread_unix.cpp:307
#9  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#10 0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f511effd700 (LWP 19574)):
#0  0x00007f513e87f2d4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f513eb1220b in wait (time=18446744073709551615, this=0x7f51200ea410) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x7f51200e9cf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f513eb057af in QThreadPoolThread::run (this=0x107ad90) at concurrent/qthreadpool.cpp:141
#4  0x00007f513eb11d0b in QThreadPrivate::start (arg=0x107ad90) at thread/qthread_unix.cpp:307
#5  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f511d7fa700 (LWP 29254)):
#0  0x00007f513e87f2d4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f513eb1220b in wait (time=18446744073709551615, this=0x7f51200ea410) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x7f51200e9cf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f513eb057af in QThreadPoolThread::run (this=0x10991e0) at concurrent/qthreadpool.cpp:141
#4  0x00007f513eb11d0b in QThreadPrivate::start (arg=0x10991e0) at thread/qthread_unix.cpp:307
#5  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f511cff9700 (LWP 29255)):
#0  0x00007f513e87f2d4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f513eb1220b in wait (time=18446744073709551615, this=0x7f51200ea410) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x7f51200e9cf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f513eb057af in QThreadPoolThread::run (this=0x10d69d0) at concurrent/qthreadpool.cpp:141
#4  0x00007f513eb11d0b in QThreadPrivate::start (arg=0x10d69d0) at thread/qthread_unix.cpp:307
#5  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f5117fff700 (LWP 29256)):
#0  0x00007f513e87f2d4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f513eb1220b in wait (time=18446744073709551615, this=0x7f51200ea410) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x7f51200e9cf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f513eb057af in QThreadPoolThread::run (this=0x10ebd40) at concurrent/qthreadpool.cpp:141
#4  0x00007f513eb11d0b in QThreadPrivate::start (arg=0x10ebd40) at thread/qthread_unix.cpp:307
#5  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f51177fe700 (LWP 29257)):
#0  0x00007f513e87f2d4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f513eb1220b in wait (time=18446744073709551615, this=0x7f51200ea410) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x7f51200e9cf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f513eb057af in QThreadPoolThread::run (this=0x10ea590) at concurrent/qthreadpool.cpp:141
#4  0x00007f513eb11d0b in QThreadPrivate::start (arg=0x10ea590) at thread/qthread_unix.cpp:307
#5  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f5116ffd700 (LWP 29259)):
#0  0x00007f513bab215b in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f513ba494b8 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#2  0x00007f513ba478a1 in free () from /lib/x86_64-linux-gnu/libc.so.6
#3  0x00007f513ec2226b in cleanConnectionLists (this=<optimized out>) at kernel/qobject.cpp:372
#4  QObjectPrivate::cleanConnectionLists (this=0xbfd560) at kernel/qobject.cpp:349
#5  0x00007f513ec25195 in QMetaObjectPrivate::connect (sender=sender@entry=0xbfac88, signal_index=signal_index@entry=4, receiver=receiver@entry=0x7f510c28b4d8, method_index=method_index@entry=0, rmeta=<optimized out>, type=<optimized out>, types=types@entry=0x0) at kernel/qobject.cpp:3195
#6  0x00007f513ec26565 in QObject::connect (sender=0xbfac88, signal=0x7f513ecdcf75 "aboutToClose()", receiver=0x7f510c28b4d8, method=<optimized out>, type=Qt::AutoConnection) at kernel/qobject.cpp:2646
#7  0x00007f513ebb4b61 in setupDevice (device=0xbfac88, stream=0x7f510c0baf70, this=0x7f510c28b4d8) at io/qtextstream.cpp:329
#8  QTextStream::QTextStream (this=0x7f510c0baf70, device=0xbfac88) at io/qtextstream.cpp:1032
#9  0x00007f513e224599 in QDebug::Stream::Stream (this=0x7f510c0baf70, device=<optimized out>) at /usr/include/qt4/QtCore/qdebug.h:65
#10 0x00007f513e2245f1 in QDebug::QDebug (this=0x7f5116ffbfd0, device=0xbfac88) at /usr/include/qt4/QtCore/qdebug.h:76
#11 0x00007f513e226d32 in KDebugPrivate::stream (this=0xbfac40, type=type@entry=QtDebugMsg, area=area@entry=300105, debugFile=debugFile@entry=0x7f512c3a2fc8 "nepomuk-core/services/storage/datamanagementmodel.cpp", line=line@entry=2207, funcinfo=funcinfo@entry=0x7f512c3a5dc0 "void Nepomuk2::DataManagementModel::removeTrailingGraphs(const QSet<QUrl>&)") at /media/wares/kdesrc/kde/kdelibs/kdecore/io/kdebug.cpp:643
#12 0x00007f513e223aaa in kDebugStream (level=QtDebugMsg, area=300105, file=0x7f512c3a2fc8 "nepomuk-core/services/storage/datamanagementmodel.cpp", line=2207, funcinfo=0x7f512c3a5dc0 "void Nepomuk2::DataManagementModel::removeTrailingGraphs(const QSet<QUrl>&)") at /media/wares/kdesrc/kde/kdelibs/kdecore/io/kdebug.cpp:776
#13 0x00007f512c34378a in KDebug::operator() (this=this@entry=0x7f5116ffc210, area=area@entry=300105) at /usr/local/include/KDE/../kdebug.h:260
#14 0x00007f512c3558fa in Nepomuk2::DataManagementModel::removeTrailingGraphs (this=0x7f51200d3540, graphs=...) at /media/wares/kdesrc/kde/kdelibs/nepomuk-core/services/storage/datamanagementmodel.cpp:2207
#15 0x00007f512c37e795 in Nepomuk2::ResourceMerger::merge (this=0x7f5116ffcc10, resHash_=...) at /media/wares/kdesrc/kde/kdelibs/nepomuk-core/services/storage/resourcemerger.cpp:847
#16 0x00007f512c3660f0 in Nepomuk2::DataManagementModel::storeResources (this=0x7f51200d3540, resources=..., app=..., identificationMode=385862600, flags=..., additionalMetadata=...) at /media/wares/kdesrc/kde/kdelibs/nepomuk-core/services/storage/datamanagementmodel.cpp:1785
#17 0x00007f512c3734fc in Nepomuk2::StoreResourcesCommand::runCommand (this=0xf3f340) at /media/wares/kdesrc/kde/kdelibs/nepomuk-core/services/storage/datamanagementcommand.h:166
#18 0x00007f512c373f29 in Nepomuk2::DataManagementCommand::run (this=0xf3f340) at /media/wares/kdesrc/kde/kdelibs/nepomuk-core/services/storage/datamanagementcommand.cpp:62
#19 0x00007f513eb056bd in QThreadPoolThread::run (this=0x1116c20) at concurrent/qthreadpool.cpp:107
#20 0x00007f513eb11d0b in QThreadPrivate::start (arg=0x1116c20) at thread/qthread_unix.cpp:307
#21 0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#22 0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#23 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f51167fc700 (LWP 29262)):
#0  0x00007f513e87f2d4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f513eb1220b in wait (time=18446744073709551615, this=0x7f51200ea410) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x7f51200e9cf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f513eb057af in QThreadPoolThread::run (this=0x11170f0) at concurrent/qthreadpool.cpp:141
#4  0x00007f513eb11d0b in QThreadPrivate::start (arg=0x11170f0) at thread/qthread_unix.cpp:307
#5  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f5115ffb700 (LWP 29263)):
#0  0x00007f513e87f2d4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f513eb1220b in wait (time=18446744073709551615, this=0x7f51200ea410) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x7f51200e9cf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f513eb057af in QThreadPoolThread::run (this=0x1155d90) at concurrent/qthreadpool.cpp:141
#4  0x00007f513eb11d0b in QThreadPrivate::start (arg=0x1155d90) at thread/qthread_unix.cpp:307
#5  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f51157fa700 (LWP 29266)):
#0  0x00007f513e87f2d4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f513eb1220b in wait (time=18446744073709551615, this=0x7f51200ea410) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x7f51200e9cf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f513eb057af in QThreadPoolThread::run (this=0x1159340) at concurrent/qthreadpool.cpp:141
#4  0x00007f513eb11d0b in QThreadPrivate::start (arg=0x1159340) at thread/qthread_unix.cpp:307
#5  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f51258f1700 (LWP 2821)):
#0  0x00007f513bab215b in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f513ba494b8 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#2  0x00007f513ba478a1 in free () from /lib/x86_64-linux-gnu/libc.so.6
#3  0x00007f513ec3ab13 in socketNotifierSourceCheck (source=0x129cc90) at kernel/qeventdispatcher_glib.cpp:92
#4  0x00007f513b0fc19b in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f513b0fc622 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f513b0fc7a4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007f513ec3b296 in QEventDispatcherGlib::processEvents (this=0x12eefe0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#8  0x00007f513ec0b8af in QEventLoop::processEvents (this=this@entry=0x7f51258f0e00, flags=...) at kernel/qeventloop.cpp:149
#9  0x00007f513ec0bb38 in QEventLoop::exec (this=0x7f51258f0e00, flags=...) at kernel/qeventloop.cpp:204
#10 0x00007f513eb0ed70 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#11 0x00007f512c0fec3c in Soprano::Server::ServerConnection::run (this=0x11023a0) at /media/wares/kdesrc/kdesupport/soprano/server/serverconnection.cpp:151
#12 0x00007f513eb11d0b in QThreadPrivate::start (arg=0x11023a0) at thread/qthread_unix.cpp:307
#13 0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#14 0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#15 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f511e7fc700 (LWP 10644)):
#0  0x00007f513ba9aac3 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f513b0fc684 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f513b0fc7a4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f513ec3b296 in QEventDispatcherGlib::processEvents (this=0x14b1650, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f513ec0b8af in QEventLoop::processEvents (this=this@entry=0x7f511e7fbe00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f513ec0bb38 in QEventLoop::exec (this=0x7f511e7fbe00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f513eb0ed70 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f512c0fec3c in Soprano::Server::ServerConnection::run (this=0xe3b740) at /media/wares/kdesrc/kdesupport/soprano/server/serverconnection.cpp:151
#8  0x00007f513eb11d0b in QThreadPrivate::start (arg=0xe3b740) at thread/qthread_unix.cpp:307
#9  0x00007f513e87ab50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#10 0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f511dffb700 (LWP 22026)):
[KCrash Handler]
#6  0x00007f513ba42e6a in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x00007f513ba452d4 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#8  0x00007f513ba46f72 in calloc () from /lib/x86_64-linux-gnu/libc.so.6
#9  0x00007f513b102049 in g_malloc0 () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f513b0cebe9 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f513b116ab1 in g_slice_free1 () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f513e87a139 in __nptl_deallocate_tsd () from /lib/x86_64-linux-gnu/libpthread.so.0
#13 0x00007f513e87ab5e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#14 0x00007f513baa570d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#15 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f513f12d760 (LWP 13850)):
#0  0x00007f513baa1f89 in syscall () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f513eb107f4 in _q_futex (timeout=0x0, val=2, op=0, addr=0x1577a20, addr2=<optimized out>, val2=<optimized out>) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=0x1577a20, timeout=<optimized out>) at thread/qmutex_unix.cpp:113
#3  0x00007f513eb0ca05 in QMutex::lockInternal (this=<optimized out>) at thread/qmutex.cpp:450
#4  0x00007f512c3775b1 in QMutexLocker::QMutexLocker (this=0x7fffef571180, m=<optimized out>) at /usr/include/qt4/QtCore/qmutex.h:109
#5  0x00007f512c39a274 in Nepomuk2::Query::SearchRunnable::cancel (this=0x154ba60) at /media/wares/kdesrc/kde/kdelibs/nepomuk-core/services/storage/query/searchrunnable.cpp:68
#6  0x00007f512c3972c2 in Nepomuk2::Query::Folder::~Folder (this=0x7f510c274240, __in_chrg=<optimized out>) at /media/wares/kdesrc/kde/kdelibs/nepomuk-core/services/storage/query/folder.cpp:153
#7  0x00007f512c397389 in Nepomuk2::Query::Folder::~Folder (this=0x7f510c274240, __in_chrg=<optimized out>) at /media/wares/kdesrc/kde/kdelibs/nepomuk-core/services/storage/query/folder.cpp:160
#8  0x00007f513ec21a58 in QObject::event (this=0x7f510c274240, e=<optimized out>) at kernel/qobject.cpp:1176
#9  0x00007f513c92870c in QApplicationPrivate::notify_helper (this=this@entry=0xb34910, receiver=receiver@entry=0x7f510c274240, e=e@entry=0x10ce350) at kernel/qapplication.cpp:4556
#10 0x00007f513c92cb8a in QApplication::notify (this=0x7fffef571d50, receiver=0x7f510c274240, e=0x10ce350) at kernel/qapplication.cpp:4417
#11 0x00007f513dc7ccfe in KApplication::notify (this=0x7fffef571d50, receiver=0x7f510c274240, event=0x10ce350) at /media/wares/kdesrc/kde/kdelibs/kdeui/kernel/kapplication.cpp:311
#12 0x00007f513ec0cb5e in QCoreApplication::notifyInternal (this=0x7fffef571d50, receiver=receiver@entry=0x7f510c274240, event=event@entry=0x10ce350) at kernel/qcoreapplication.cpp:915
#13 0x00007f513ec109e1 in sendEvent (event=0x10ce350, receiver=0x7f510c274240) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#14 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xb0d2c0) at kernel/qcoreapplication.cpp:1539
#15 0x00007f513ec3b0e3 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#16 postEventSourceDispatch (s=0xb345a0) at kernel/qeventdispatcher_glib.cpp:279
#17 0x00007f513b0fc3b5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f513b0fc6e8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f513b0fc7a4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007f513ec3b276 in QEventDispatcherGlib::processEvents (this=0xb12720, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#21 0x00007f513c9c983e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#22 0x00007f513ec0b8af in QEventLoop::processEvents (this=this@entry=0x7fffef571ae0, flags=...) at kernel/qeventloop.cpp:149
#23 0x00007f513ec0bb38 in QEventLoop::exec (this=0x7fffef571ae0, flags=...) at kernel/qeventloop.cpp:204
#24 0x00007f513ec10cf8 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#25 0x0000000000404494 in main (argc=2, argv=0x7fffef571ef8) at /media/wares/kdesrc/kde/kdelibs/nepomuk-core/servicestub/main.cpp:177

Possible duplicates by query: bug 308766, bug 308740, bug 308737, bug 308691, bug 308686.

Reported using DrKonqi
Comment 1 Simeon Bird 2012-11-15 05:19:24 UTC
From lines 6 and 7 of the backtrace in thread 1, it seems as if the destructor for a Folder object is somehow calling itself (notice the 'this' pointer is the same in both lines). 

It's not surprising that leads to a crash, but it is a bit surprising that it is possible at all...
Comment 2 Simeon Bird 2012-11-15 06:41:08 UTC
It seems we are almost guaranteed to call deleteLater() on the Folder object from its destructor. 
The Qt docs claim that it is safe to call deleteLater() multiple times, and they must be telling the truth, or this crash would happen consistently. 

But it is possible that whatever variable is checked to ensure the QObject is not already deleted is only set at the end of the destructor. In which case, there would be a small window between deleteLater() being called and ~Folder finishing during which the event loop could fire the deletion and cause this crash, especially if the system was under load, as yours seems to have been, which could be the cause of the crash.
Comment 3 Simeon Bird 2012-11-27 22:15:48 UTC
Git commit e9e907290bddcd9121e8a9e937198568699bc698 by Simeon Bird.
Committed on 16/11/2012 at 01:28.
Pushed by sbird into branch 'master'.

Fix convoluted crash on deletion of Query::Folder.

Sequence of events seems to be:

1. Folder::~Folder called.
2. SearchRunnable->cancel called => SearchRunnable->m_folder = 0.
3. Deletes all connections.
4. deleteLater called again, during destructor (is this ever safe?)
5. SearchRunnable::run called => since m_folder is zero, returns and
deletes SearchRunnable without setting m_folder -> SearchRunnable to
zero.
6. mutex unlocked at end of destructor
7. Folder::~Folder called again by queued deleteLater (?)
8. SearchRunnable already deleted after step 5. Crash.

Fixed by setting m_currentSearchRunnable = 0 after cancelling the folder
listing.
FIXED-IN: 4.10
REVIEW: 107339

M  +7    -2    services/storage/query/folder.cpp

http://commits.kde.org/nepomuk-core/e9e907290bddcd9121e8a9e937198568699bc698